### Method

# Adw Flapset_modal

deprecated: 1.4

#### Declaration [src]

    void
    adw_flap_set_modal (
      AdwFlap* self,
      gboolean modal
    )

#### Description [src]

Sets whether `self` is modal.

If `TRUE`, clicking the content widget while flap is revealed, as well as pressing the `Esc` key, will close the flap. If `FALSE`, clicks are passed through to the content widget.

Deprecated since: 1.4

See the migration guide

Sets property | `Adw.Flap:modal`

#### Parameters

`modal`

  Type: `gboolean`

  Whether `self` is modal.